> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.goodflag.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.goodflag.com/_mcp/server.

# Créer un modèle de parapheur

POST https://workflow-manager/api/tenants/{tenantId}/templates
Content-Type: application/json

Crée un modèle de parapheur.

`templateManager`

Reference: https://docs.goodflag.com/wm/api-reference/documentation-api/token-portail/workflow-templates/create-workflow-template

## Authentication

- `Authorization` header (bearer token, required) — Authentification Bearer par jeton utilisateur ou jeton d'accès : `Authorization: Bearer <token>`.

## Request

### Path parameters

- `tenantId` (string, required) — L'identifiant du tenant auquel appartient le modèle de parapheur.

### Body (application/json)

This endpoint expects an object.

- `isDisabled` (boolean, required) — Indique si le modèle de parapheur est désactivé.
- `name` (string, required) — Le nom du modèle de parapheur.
- `description` (string, optional) — La description du modèle de parapheur.
- `layoutSelectionMode` (enum, optional) — Valeurs possibles : list, listOrNull, any ou anyOrNull.
  - Allowed values: `any`, `anyOrNull`, `list`, `listOrNull`
- `allowedLayouts` (list of string, optional) — La liste des dispositions de parapheur utilisables dans le parapheur.
- `maxWatchers` (long, optional) — Le nombre maximal d'observateurs.
- `steps` (list of object, optional) — Les étapes du modèle de parapheur.
  - `stepType` (enum, optional) — Le type de l'étape : signature ou approval.
    - Allowed values: `approval`, `signature`
  - `recipientSelectionMode` (enum, optional) — Valeurs possibles : list, any ou group.
    - Allowed values: `any`, `list`
  - `maxRecipients` (long, optional) — Le nombre maximal de destinataires de l'étape.
  - `recipients` (list of object, optional) — La liste des destinataires appelés à signer ou valider les documents, lorsque recipientSelectionMode vaut list ou any. Un contact inexistant utilisé comme destinataire n'est pas créé automatiquement par l'API.
    - `consentPageId` (string, optional) — L'identifiant de la page de consentement à utiliser pour la requête.
    - `email` (string, optional) — L'adresse email du destinataire.
    - `userId` (string, optional) — L'identifiant de l'utilisateur destinataire, lorsque le destinataire est un utilisateur.
    - `phoneNumber` (string, optional) — Le numéro de téléphone international du destinataire.
    - `comments` (string, optional) — Les commentaires associés au contact.
    - `firstName` (string, optional) — Le prénom du destinataire.
    - `lastName` (string, optional) — Le nom du destinataire.
    - `country` (string, optional) — Le pays de l'utilisateur.
    - `organizationId` (string, optional) — L'identifiant de l'organisation pour le compte de laquelle la signature est apposée.
    - `preferredLocale` (string, optional) — La locale préférée pour les emails de notification envoyés au destinataire.
  - `allowedGroups` (list of any, optional) — La liste des groupes de destinataires appelés à signer ou valider les documents, lorsque recipientSelectionMode vaut group.
  - `allowedConsentPages` (list of string, optional) — La liste des pages de consentement utilisables dans l'étape.
  - `requiredRecipients` (long, optional) — Le nombre de destinataires devant signer ou valider les documents pour que l'étape se termine. Ne peut pas dépasser maxRecipients.
  - `maxInvites` (long, optional) — Le nombre maximal d'invitations envoyées aux destinataires. La valeur 0 signifie que le destinataire n'est jamais invité.
  - `sendDownloadLink` (boolean, optional) — Indique si les signataires ou les validateurs reçoivent un lien de téléchargement des documents signés à la fin du parapheur.
  - `validityPeriod` (long, optional) — La durée de validité de l'étape.
  - `invitePeriod` (long, optional) — Le délai après lequel les invitations sont renvoyées.
  - `readonly` (boolean, optional) — Indique si l'étape est en lecture seule.
  - `removable` (boolean, optional) — Indique si l'étape est supprimable.
  - `allowComments` (boolean, optional) — Indique si les destinataires de l'étape sont autorisés à consulter et créer des commentaires.
  - `hideAttachments` (boolean, optional) — Indique si les pièces jointes sont affichées aux destinataires de l'étape.
  - `viewConfidentialAttachments` (boolean, optional) — Indique si les pièces jointes confidentielles sont affichées aux destinataires de l'étape.
  - `hideWorkflowRecipients` (boolean, optional) — Indique si les autres destinataires du parapheur sont visibles par les destinataires de cette étape.
- `notifiedEvents` (list of string, optional) — Les types d'événements pour lesquels le propriétaire reçoit des notifications.
- `notifiedEventsReadonly` (boolean, optional) — Indique si les événements notifiés sont en lecture seule.
- `coManagerNotifiedEvents` (list of string, optional) — Les types d'événements pour lesquels le cogestionnaire reçoit des notifications.
- `coManagerNotifiedEventsReadonly` (boolean, optional) — Indique si les événements notifiés au cogestionnaire sont en lecture seule.
- `watchers` (list of object, optional) — La liste des observateurs du parapheur.
  - `notifiedEvents` (list of string, required) — Les types d'événements pour lesquels l'observateur reçoit des notifications.
  - `readonly` (boolean, optional) — Indique si l'observateur est en lecture seule.
  - `removable` (boolean, optional) — Indique si l'observateur est supprimable.
  - `userId` (string, optional) — L'identifiant de l'utilisateur, lorsque l'observateur est un utilisateur.
  - `email` (string, optional) — L'adresse email de l'observateur, lorsqu'il n'est pas un utilisateur.
- `allowedSignatureProfiles` (list of string, optional) — La liste des profils de signature autorisés pour signer les documents.
- `documentSelectionMode` (enum, optional) — Valeurs possibles : list ou any.
  - Allowed values: `list`, `any`
- `maxDocuments` (long, optional, default: 200) — Le nombre maximal de documents à signer.
- `maxAttachments` (long, optional, default: 10) — Le nombre maximal de pièces jointes.
- `coManagerSelectionMode` (enum, optional) — Valeurs possibles : none, list, any ou anyOrNull.
  - Allowed values: `any`, `anyOrNull`, `list`, `none`
- `allowedCoManagerUsers` (list of any, optional) — La liste des cogestionnaires pouvant être désignés sur le parapheur.
- `coManagerUsersModifiable` (boolean, optional) — Indique si les événements notifiés au cogestionnaire sont modifiables.
- `coManagerCanEditCoManager` (boolean, optional) — Indique si les événements du cogestionnaire sont modifiables par un cogestionnaire.
- `allowedCoManagerGroups` (list of any, optional) — La liste des groupes dont les membres peuvent être désignés cogestionnaires du parapheur.
- `allowConsolidation` (boolean, optional) — Indique si la consolidation du parapheur est activée.
- `allowManagerAddStep` (boolean, optional) — Indique si le gestionnaire peut ajouter de nouvelles étapes.

## Response

### 200

L'entité WorkflowTemplate créée.

- `layoutSelectionMode` (enum, required) — Valeurs possibles : list, listOrNull, any ou anyOrNull.
  - Allowed values: `any`, `anyOrNull`, `list`, `listOrNull`
- `steps` (list of object, required) — Les étapes du modèle de parapheur.
  - `stepType` (enum, required) — Le type de l'étape : signature ou approval.
    - Allowed values: `approval`, `signature`
  - `recipientSelectionMode` (enum, required) — Valeurs possibles : list, any ou group.
    - Allowed values: `any`, `list`
  - `id` (string, required) — L'identifiant de l'étape.
  - `maxRecipients` (double, required) — Le nombre maximal de destinataires de l'étape.
  - `allowedConsentPages` (list of any, required) — La liste des pages de consentement utilisables dans l'étape.
  - `requiredRecipients` (double, required) — Le nombre de destinataires devant signer ou valider les documents pour que l'étape se termine.
  - `validityPeriod` (double, required) — La durée de validité de l'étape.
  - `invitePeriod` (double, required) — Le délai après lequel les invitations sont renvoyées.
  - `maxInvites` (double, required) — Le nombre maximal d'invitations envoyées aux destinataires. La valeur 0 signifie que le destinataire n'est jamais invité.
  - `sendDownloadLink` (boolean, required) — Indique si les signataires ou les validateurs reçoivent un lien de téléchargement des documents signés à la fin du parapheur.
  - `readonly` (boolean, required) — Indique si l'étape est en lecture seule.
  - `removable` (boolean, required) — Indique si l'étape est supprimable.
  - `allowComments` (boolean, required) — Indique si les destinataires de l'étape sont autorisés à consulter et créer des commentaires.
  - `hideAttachments` (boolean, required) — Indique si les pièces jointes sont affichées aux destinataires de l'étape.
  - `viewConfidentialAttachments` (boolean, required) — Indique si les pièces jointes confidentielles sont affichées aux destinataires de l'étape.
  - `hideWorkflowRecipients` (boolean, required) — Indique si les autres destinataires du parapheur sont visibles par les destinataires de cette étape.
  - `recipients` (list of object, optional) — La liste des destinataires appelés à signer ou valider les documents, lorsque recipientSelectionMode vaut list ou any.
    - `consentPageId` (string, required) — L'identifiant de la page de consentement à utiliser pour la requête.
    - `email` (string, required) — L'adresse email du destinataire.
    - `userId` (string, optional) — L'identifiant de l'utilisateur destinataire, lorsque le destinataire est un utilisateur.
    - `pictureResourceId` (string, optional) — L'identifiant de la ressource photo de l'utilisateur, lorsque le destinataire est un utilisateur.
    - `phoneNumber` (string, optional) — Le numéro de téléphone international du destinataire.
    - `comments` (string, optional) — Les commentaires associés au contact.
    - `firstName` (string, optional) — Le prénom du destinataire.
    - `lastName` (string, optional) — Le nom du destinataire.
    - `country` (string, optional) — Le pays de l'utilisateur.
    - `organizationId` (string, optional) — L'identifiant de l'organisation pour le compte de laquelle la signature est apposée.
    - `preferredLocale` (string, optional) — La locale préférée pour les emails de notification envoyés au destinataire.
  - `allowedGroups` (list of any, optional) — La liste des groupes de destinataires appelés à signer ou valider les documents, lorsque recipientSelectionMode vaut group.
- `documentSelectionMode` (enum, required) — Valeurs possibles : list ou any.
  - Allowed values: `list`, `any`
- `coManagerSelectionMode` (enum, required) — Valeurs possibles : none, list, any ou anyOrNull.
  - Allowed values: `any`, `anyOrNull`, `list`, `none`
- `allowConsolidation` (boolean, required) — Indique si la consolidation du parapheur est activée.
- `allowManagerAddStep` (boolean, required) — Indique si le gestionnaire peut ajouter de nouvelles étapes.
- `allowedLayouts` (list of string, required) — La liste des dispositions de parapheur utilisables dans le parapheur.
- `allowedSignatureProfiles` (list of string, required) — La liste des profils de signature autorisés pour signer les documents.
- `coManagerCanEditCoManager` (boolean, required) — Indique si les événements du cogestionnaire sont modifiables par un cogestionnaire.
- `coManagerNotifiedEvents` (list of string, required) — Les types d'événements pour lesquels le cogestionnaire reçoit des notifications.
- `coManagerNotifiedEventsReadonly` (boolean, required) — Indique si les événements notifiés au cogestionnaire sont en lecture seule.
- `coManagerUsersModifiable` (boolean, required) — Indique si les événements notifiés au cogestionnaire sont modifiables.
- `created` (long, required) — La date de création de l'entité.
- `id` (string, required) — L'identifiant du modèle de parapheur.
- `isDisabled` (boolean, required) — Indique si le modèle de parapheur est désactivé.
- `maxAttachments` (long, required, default: 10) — Le nombre maximal de pièces jointes.
- `maxDocuments` (long, required, default: 200) — Le nombre maximal de documents à signer.
- `maxWatchers` (long, required) — Le nombre maximal d'observateurs.
- `name` (string, required) — Le nom du modèle de parapheur.
- `notifiedEvents` (list of string, required) — Les types d'événements pour lesquels le propriétaire reçoit des notifications.
- `notifiedEventsReadonly` (boolean, required) — Indique si les événements notifiés sont en lecture seule.
- `tenantId` (string, required) — L'identifiant du tenant auquel appartient le modèle de parapheur.
- `updated` (long, required) — La date de dernière modification de l'entité.
- `watchers` (list of object, required) — La liste des observateurs du parapheur.
  - `notifiedEvents` (list of string, required) — Les types d'événements pour lesquels l'observateur reçoit des notifications.
  - `readonly` (boolean, required) — Indique si l'observateur est en lecture seule.
  - `removable` (boolean, required) — Indique si l'observateur est supprimable.
  - `email` (string, optional) — L'adresse email de l'observateur, lorsqu'il n'est pas un utilisateur.
  - `userId` (string, optional) — L'identifiant de l'utilisateur, lorsque l'observateur est un utilisateur.
- `allowedCoManagerGroups` (list of any, optional) — La liste des groupes dont les membres peuvent être désignés cogestionnaires du parapheur.
- `allowedCoManagerUsers` (list of any, optional) — La liste des cogestionnaires pouvant être désignés sur le parapheur.
- `description` (string, optional) — La description du modèle de parapheur.
- `jobOperation` (string, optional) — L'opération de tâche en cours d'exécution.

## Errors

### 400 Bad Request Error

InvalidRequestField : Un champ de la requête porte une valeur incorrecte. ; NoRecipientInStep : Des destinataires manquent dans une étape du parapheur. ; RecipientInfoMissing : Un destinataire de la requête n'a pas d'informations d'identité. ; RecipientPhoneNumberRequired : La page de consentement spécifiée requiert un numéro de téléphone du destinataire. ; RecipientUserRequired : La page de consentement spécifiée requiert un identifiant d'utilisateur du destinataire.

- `status` (integer, required) — Le code de statut HTTP.
- `error` (string, required) — Le message de statut HTTP.
- `message` (string, required) — Le message d'erreur.
- `code` (string, required) — Le code d'erreur.

### 403 Forbidden Error

ApprovalNotAllowed : L'utilisateur destinataire spécifié n'est pas autorisé à valider des parapheurs. ; AuthenticatedUserDisabled : L'utilisateur authentifié est désactivé. ; ConsentPageDisabled : La page de consentement spécifiée est désactivée. ; GroupDisabled : Le groupe spécifié est désactivé. ; MissingBearerToken : Un jeton Bearer est requis. ; OrganizationNotAllowed : L'organisation sélectionnée n'est pas autorisée pour ce destinataire. ; SignatureNotAllowed : L'utilisateur destinataire spécifié n'est pas autorisé à signer des parapheurs. ; TenantInactive : Le tenant est inactif et n'autorise aucune opération. ; UserDisabled : L'utilisateur spécifié est désactivé. ; UserGroupDisabled : Le groupe de l'utilisateur spécifié est désactivé. ; UserNotAllowed : L'utilisateur authentifié n'est pas autorisé à effectuer cette opération.

- `status` (integer, required) — Le code de statut HTTP.
- `error` (string, required) — Le message de statut HTTP.
- `message` (string, required) — Le message d'erreur.
- `code` (string, required) — Le code d'erreur.

### 404 Not Found Error

ConsentPageNotFound : La page de consentement spécifiée est introuvable. ; GroupNotFound : Le groupe spécifié est introuvable. ; SignatureProfileNotFound : Le profil de signature spécifié est introuvable. ; UserNotFound : L'utilisateur spécifié est introuvable. ; WorkflowLayoutNotFound : La disposition de parapheur spécifiée est introuvable.

- `status` (integer, required) — Le code de statut HTTP.
- `error` (string, required) — Le message de statut HTTP.
- `message` (string, required) — Le message d'erreur.
- `code` (string, required) — Le code d'erreur.

## Examples

**Request**

```json
{
  "isDisabled": false,
  "name": "Intelligent Plastic Lamp",
  "description": "752 Avenue Zadkine, 41463 Beauvais",
  "layoutSelectionMode": "list",
  "allowedLayouts": [
    "lay_AYNmME5o24fa9YevH6aR2oMF"
  ],
  "maxWatchers": 10,
  "steps": [
    {
      "stepType": "signature",
      "recipientSelectionMode": "list",
      "maxRecipients": 10,
      "recipients": [
        {
          "consentPageId": "cop_AfGTsGSh1mmatSUL5AWFo2Do",
          "email": "keeley.brown2482@my-company.com",
          "userId": "usr_KG8yTeqRa1kskaSp7Y7GRPAB",
          "phoneNumber": "+33 6 12 34 56 78",
          "comments": "Aliquam et numquam voluptatem enim est illo.",
          "firstName": "Kent",
          "lastName": "Barton",
          "country": "FR",
          "organizationId": "org_i3niMbz4WCYkMgYe9y7KnHgv",
          "preferredLocale": "fr"
        }
      ],
      "allowedGroups": [],
      "allowedConsentPages": [
        "cop_5WPAvvRMYhCix5KyYqbXYYck"
      ],
      "requiredRecipients": 1,
      "maxInvites": 5,
      "sendDownloadLink": true,
      "validityPeriod": 8553600000,
      "invitePeriod": 86400000,
      "readonly": false,
      "removable": true,
      "allowComments": true,
      "hideAttachments": false,
      "viewConfidentialAttachments": true,
      "hideWorkflowRecipients": false
    }
  ],
  "notifiedEvents": [
    "recipientRefused",
    "recipientFinished",
    "workflowStopped",
    "workflowFinished"
  ],
  "notifiedEventsReadonly": false,
  "coManagerNotifiedEvents": [
    "recipientRefused",
    "recipientFinished",
    "workflowStopped",
    "workflowFinished"
  ],
  "coManagerNotifiedEventsReadonly": false,
  "watchers": [
    {
      "notifiedEvents": [
        "recipientRefused",
        "recipientFinished",
        "workflowStarted",
        "workflowStopped",
        "workflowFinished",
        "workflowFinishedDownloadLink",
        "workflowFinishedDownloadLinkNoAttachment"
      ],
      "readonly": false,
      "removable": true,
      "userId": "usr_srHrGH8xiXQPehNzs34WDmNB"
    },
    {
      "notifiedEvents": [
        "recipientRefused",
        "recipientFinished",
        "workflowStarted",
        "workflowStopped",
        "workflowFinished",
        "workflowFinishedDownloadLink",
        "workflowFinishedDownloadLinkNoAttachment"
      ],
      "readonly": false,
      "removable": true,
      "email": "ivory.baumbach5613@my-company.com"
    }
  ],
  "allowedSignatureProfiles": [
    "sip_8yKHsKPWgSZ4VFx2iHBkmnun"
  ],
  "documentSelectionMode": "any",
  "maxDocuments": 10,
  "maxAttachments": 20,
  "coManagerSelectionMode": "none",
  "allowedCoManagerUsers": [],
  "coManagerUsersModifiable": true,
  "coManagerCanEditCoManager": false,
  "allowedCoManagerGroups": [],
  "allowConsolidation": true,
  "allowManagerAddStep": true
}
```

**Response**

```json
{
  "layoutSelectionMode": "list",
  "steps": [
    {
      "stepType": "signature",
      "recipientSelectionMode": "list",
      "id": "stp_36RMPSGFdm1Cgo4FfhxqPamm",
      "maxRecipients": 1,
      "allowedConsentPages": [],
      "requiredRecipients": 1,
      "validityPeriod": 8553600000,
      "invitePeriod": 86400000,
      "maxInvites": 5,
      "sendDownloadLink": true,
      "readonly": false,
      "removable": true,
      "allowComments": true,
      "hideAttachments": false,
      "viewConfidentialAttachments": true,
      "hideWorkflowRecipients": false,
      "recipients": [
        {
          "consentPageId": "cop_AfGTsGSh1mmatSUL5AWFo2Do",
          "email": "keeley.brown2482@my-company.com",
          "userId": "usr_KG8yTeqRa1kskaSp7Y7GRPAB",
          "pictureResourceId": "res_4Z7qYs9LrDsZ5v293CLMGJYb",
          "phoneNumber": "+33 6 12 34 56 78",
          "comments": "Aliquam et numquam voluptatem enim est illo.",
          "firstName": "Kent",
          "lastName": "Barton",
          "country": "FR",
          "organizationId": "org_i3niMbz4WCYkMgYe9y7KnHgv",
          "preferredLocale": "fr"
        }
      ],
      "allowedGroups": []
    }
  ],
  "documentSelectionMode": "any",
  "coManagerSelectionMode": "none",
  "allowConsolidation": true,
  "allowManagerAddStep": true,
  "allowedLayouts": [
    "lay_AYNmME5o24fa9YevH6aR2oMF"
  ],
  "allowedSignatureProfiles": [
    "sip_8yKHsKPWgSZ4VFx2iHBkmnun"
  ],
  "coManagerCanEditCoManager": false,
  "coManagerNotifiedEvents": [
    "recipientRefused",
    "recipientFinished",
    "workflowStopped",
    "workflowFinished"
  ],
  "coManagerNotifiedEventsReadonly": false,
  "coManagerUsersModifiable": true,
  "created": 1782821851723,
  "id": "wtm_7DqHvUW2vEhULCoUczJ89owh",
  "isDisabled": false,
  "maxAttachments": 10,
  "maxDocuments": 10,
  "maxWatchers": 10,
  "name": "Intelligent Plastic Lamp",
  "notifiedEvents": [
    "recipientRefused",
    "recipientFinished",
    "workflowStopped",
    "workflowFinished"
  ],
  "notifiedEventsReadonly": false,
  "tenantId": "ten_Hm5gqY6oKADYdg9cjhsVbQDH",
  "updated": 1782821851723,
  "watchers": [
    {
      "notifiedEvents": [
        "recipientRefused",
        "recipientFinished",
        "workflowStarted",
        "workflowStopped",
        "workflowFinished",
        "workflowFinishedDownloadLink",
        "workflowFinishedDownloadLinkNoAttachment"
      ],
      "readonly": false,
      "removable": true,
      "email": "ivory.baumbach5613@my-company.com"
    },
    {
      "notifiedEvents": [
        "recipientRefused",
        "recipientFinished",
        "workflowStarted",
        "workflowStopped",
        "workflowFinished",
        "workflowFinishedDownloadLink",
        "workflowFinishedDownloadLinkNoAttachment"
      ],
      "readonly": false,
      "removable": true,
      "userId": "usr_srHrGH8xiXQPehNzs34WDmNB"
    }
  ],
  "allowedCoManagerGroups": [],
  "allowedCoManagerUsers": [],
  "description": "752 Avenue Zadkine, 41463 Beauvais"
}
```

**SDK Code**

```python Requête réussie.
import requests

url = "https://workflow-manager/api/tenants/tenantId/templates"

payload = {
    "isDisabled": False,
    "name": "Intelligent Plastic Lamp",
    "description": "752 Avenue Zadkine, 41463 Beauvais",
    "layoutSelectionMode": "list",
    "allowedLayouts": ["lay_AYNmME5o24fa9YevH6aR2oMF"],
    "maxWatchers": 10,
    "steps": [
        {
            "stepType": "signature",
            "recipientSelectionMode": "list",
            "maxRecipients": 10,
            "recipients": [
                {
                    "consentPageId": "cop_AfGTsGSh1mmatSUL5AWFo2Do",
                    "email": "keeley.brown2482@my-company.com",
                    "userId": "usr_KG8yTeqRa1kskaSp7Y7GRPAB",
                    "phoneNumber": "+33 6 12 34 56 78",
                    "comments": "Aliquam et numquam voluptatem enim est illo.",
                    "firstName": "Kent",
                    "lastName": "Barton",
                    "country": "FR",
                    "organizationId": "org_i3niMbz4WCYkMgYe9y7KnHgv",
                    "preferredLocale": "fr"
                }
            ],
            "allowedGroups": [],
            "allowedConsentPages": ["cop_5WPAvvRMYhCix5KyYqbXYYck"],
            "requiredRecipients": 1,
            "maxInvites": 5,
            "sendDownloadLink": True,
            "validityPeriod": 8553600000,
            "invitePeriod": 86400000,
            "readonly": False,
            "removable": True,
            "allowComments": True,
            "hideAttachments": False,
            "viewConfidentialAttachments": True,
            "hideWorkflowRecipients": False
        }
    ],
    "notifiedEvents": ["recipientRefused", "recipientFinished", "workflowStopped", "workflowFinished"],
    "notifiedEventsReadonly": False,
    "coManagerNotifiedEvents": ["recipientRefused", "recipientFinished", "workflowStopped", "workflowFinished"],
    "coManagerNotifiedEventsReadonly": False,
    "watchers": [
        {
            "notifiedEvents": ["recipientRefused", "recipientFinished", "workflowStarted", "workflowStopped", "workflowFinished", "workflowFinishedDownloadLink", "workflowFinishedDownloadLinkNoAttachment"],
            "readonly": False,
            "removable": True,
            "userId": "usr_srHrGH8xiXQPehNzs34WDmNB"
        },
        {
            "notifiedEvents": ["recipientRefused", "recipientFinished", "workflowStarted", "workflowStopped", "workflowFinished", "workflowFinishedDownloadLink", "workflowFinishedDownloadLinkNoAttachment"],
            "readonly": False,
            "removable": True,
            "email": "ivory.baumbach5613@my-company.com"
        }
    ],
    "allowedSignatureProfiles": ["sip_8yKHsKPWgSZ4VFx2iHBkmnun"],
    "documentSelectionMode": "any",
    "maxDocuments": 10,
    "maxAttachments": 20,
    "coManagerSelectionMode": "none",
    "allowedCoManagerUsers": [],
    "coManagerUsersModifiable": True,
    "coManagerCanEditCoManager": False,
    "allowedCoManagerGroups": [],
    "allowConsolidation": True,
    "allowManagerAddStep": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Requête réussie.
const url = 'https://workflow-manager/api/tenants/tenantId/templates';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"isDisabled":false,"name":"Intelligent Plastic Lamp","description":"752 Avenue Zadkine, 41463 Beauvais","layoutSelectionMode":"list","allowedLayouts":["lay_AYNmME5o24fa9YevH6aR2oMF"],"maxWatchers":10,"steps":[{"stepType":"signature","recipientSelectionMode":"list","maxRecipients":10,"recipients":[{"consentPageId":"cop_AfGTsGSh1mmatSUL5AWFo2Do","email":"keeley.brown2482@my-company.com","userId":"usr_KG8yTeqRa1kskaSp7Y7GRPAB","phoneNumber":"+33 6 12 34 56 78","comments":"Aliquam et numquam voluptatem enim est illo.","firstName":"Kent","lastName":"Barton","country":"FR","organizationId":"org_i3niMbz4WCYkMgYe9y7KnHgv","preferredLocale":"fr"}],"allowedGroups":[],"allowedConsentPages":["cop_5WPAvvRMYhCix5KyYqbXYYck"],"requiredRecipients":1,"maxInvites":5,"sendDownloadLink":true,"validityPeriod":8553600000,"invitePeriod":86400000,"readonly":false,"removable":true,"allowComments":true,"hideAttachments":false,"viewConfidentialAttachments":true,"hideWorkflowRecipients":false}],"notifiedEvents":["recipientRefused","recipientFinished","workflowStopped","workflowFinished"],"notifiedEventsReadonly":false,"coManagerNotifiedEvents":["recipientRefused","recipientFinished","workflowStopped","workflowFinished"],"coManagerNotifiedEventsReadonly":false,"watchers":[{"notifiedEvents":["recipientRefused","recipientFinished","workflowStarted","workflowStopped","workflowFinished","workflowFinishedDownloadLink","workflowFinishedDownloadLinkNoAttachment"],"readonly":false,"removable":true,"userId":"usr_srHrGH8xiXQPehNzs34WDmNB"},{"notifiedEvents":["recipientRefused","recipientFinished","workflowStarted","workflowStopped","workflowFinished","workflowFinishedDownloadLink","workflowFinishedDownloadLinkNoAttachment"],"readonly":false,"removable":true,"email":"ivory.baumbach5613@my-company.com"}],"allowedSignatureProfiles":["sip_8yKHsKPWgSZ4VFx2iHBkmnun"],"documentSelectionMode":"any","maxDocuments":10,"maxAttachments":20,"coManagerSelectionMode":"none","allowedCoManagerUsers":[],"coManagerUsersModifiable":true,"coManagerCanEditCoManager":false,"allowedCoManagerGroups":[],"allowConsolidation":true,"allowManagerAddStep":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Requête réussie.
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://workflow-manager/api/tenants/tenantId/templates"

	payload := strings.NewReader("{\n  \"isDisabled\": false,\n  \"name\": \"Intelligent Plastic Lamp\",\n  \"description\": \"752 Avenue Zadkine, 41463 Beauvais\",\n  \"layoutSelectionMode\": \"list\",\n  \"allowedLayouts\": [\n    \"lay_AYNmME5o24fa9YevH6aR2oMF\"\n  ],\n  \"maxWatchers\": 10,\n  \"steps\": [\n    {\n      \"stepType\": \"signature\",\n      \"recipientSelectionMode\": \"list\",\n      \"maxRecipients\": 10,\n      \"recipients\": [\n        {\n          \"consentPageId\": \"cop_AfGTsGSh1mmatSUL5AWFo2Do\",\n          \"email\": \"keeley.brown2482@my-company.com\",\n          \"userId\": \"usr_KG8yTeqRa1kskaSp7Y7GRPAB\",\n          \"phoneNumber\": \"+33 6 12 34 56 78\",\n          \"comments\": \"Aliquam et numquam voluptatem enim est illo.\",\n          \"firstName\": \"Kent\",\n          \"lastName\": \"Barton\",\n          \"country\": \"FR\",\n          \"organizationId\": \"org_i3niMbz4WCYkMgYe9y7KnHgv\",\n          \"preferredLocale\": \"fr\"\n        }\n      ],\n      \"allowedGroups\": [],\n      \"allowedConsentPages\": [\n        \"cop_5WPAvvRMYhCix5KyYqbXYYck\"\n      ],\n      \"requiredRecipients\": 1,\n      \"maxInvites\": 5,\n      \"sendDownloadLink\": true,\n      \"validityPeriod\": 8553600000,\n      \"invitePeriod\": 86400000,\n      \"readonly\": false,\n      \"removable\": true,\n      \"allowComments\": true,\n      \"hideAttachments\": false,\n      \"viewConfidentialAttachments\": true,\n      \"hideWorkflowRecipients\": false\n    }\n  ],\n  \"notifiedEvents\": [\n    \"recipientRefused\",\n    \"recipientFinished\",\n    \"workflowStopped\",\n    \"workflowFinished\"\n  ],\n  \"notifiedEventsReadonly\": false,\n  \"coManagerNotifiedEvents\": [\n    \"recipientRefused\",\n    \"recipientFinished\",\n    \"workflowStopped\",\n    \"workflowFinished\"\n  ],\n  \"coManagerNotifiedEventsReadonly\": false,\n  \"watchers\": [\n    {\n      \"notifiedEvents\": [\n        \"recipientRefused\",\n        \"recipientFinished\",\n        \"workflowStarted\",\n        \"workflowStopped\",\n        \"workflowFinished\",\n        \"workflowFinishedDownloadLink\",\n        \"workflowFinishedDownloadLinkNoAttachment\"\n      ],\n      \"readonly\": false,\n      \"removable\": true,\n      \"userId\": \"usr_srHrGH8xiXQPehNzs34WDmNB\"\n    },\n    {\n      \"notifiedEvents\": [\n        \"recipientRefused\",\n        \"recipientFinished\",\n        \"workflowStarted\",\n        \"workflowStopped\",\n        \"workflowFinished\",\n        \"workflowFinishedDownloadLink\",\n        \"workflowFinishedDownloadLinkNoAttachment\"\n      ],\n      \"readonly\": false,\n      \"removable\": true,\n      \"email\": \"ivory.baumbach5613@my-company.com\"\n    }\n  ],\n  \"allowedSignatureProfiles\": [\n    \"sip_8yKHsKPWgSZ4VFx2iHBkmnun\"\n  ],\n  \"documentSelectionMode\": \"any\",\n  \"maxDocuments\": 10,\n  \"maxAttachments\": 20,\n  \"coManagerSelectionMode\": \"none\",\n  \"allowedCoManagerUsers\": [],\n  \"coManagerUsersModifiable\": true,\n  \"coManagerCanEditCoManager\": false,\n  \"allowedCoManagerGroups\": [],\n  \"allowConsolidation\": true,\n  \"allowManagerAddStep\": true\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Requête réussie.
require 'uri'
require 'net/http'

url = URI("https://workflow-manager/api/tenants/tenantId/templates")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"isDisabled\": false,\n  \"name\": \"Intelligent Plastic Lamp\",\n  \"description\": \"752 Avenue Zadkine, 41463 Beauvais\",\n  \"layoutSelectionMode\": \"list\",\n  \"allowedLayouts\": [\n    \"lay_AYNmME5o24fa9YevH6aR2oMF\"\n  ],\n  \"maxWatchers\": 10,\n  \"steps\": [\n    {\n      \"stepType\": \"signature\",\n      \"recipientSelectionMode\": \"list\",\n      \"maxRecipients\": 10,\n      \"recipients\": [\n        {\n          \"consentPageId\": \"cop_AfGTsGSh1mmatSUL5AWFo2Do\",\n          \"email\": \"keeley.brown2482@my-company.com\",\n          \"userId\": \"usr_KG8yTeqRa1kskaSp7Y7GRPAB\",\n          \"phoneNumber\": \"+33 6 12 34 56 78\",\n          \"comments\": \"Aliquam et numquam voluptatem enim est illo.\",\n          \"firstName\": \"Kent\",\n          \"lastName\": \"Barton\",\n          \"country\": \"FR\",\n          \"organizationId\": \"org_i3niMbz4WCYkMgYe9y7KnHgv\",\n          \"preferredLocale\": \"fr\"\n        }\n      ],\n      \"allowedGroups\": [],\n      \"allowedConsentPages\": [\n        \"cop_5WPAvvRMYhCix5KyYqbXYYck\"\n      ],\n      \"requiredRecipients\": 1,\n      \"maxInvites\": 5,\n      \"sendDownloadLink\": true,\n      \"validityPeriod\": 8553600000,\n      \"invitePeriod\": 86400000,\n      \"readonly\": false,\n      \"removable\": true,\n      \"allowComments\": true,\n      \"hideAttachments\": false,\n      \"viewConfidentialAttachments\": true,\n      \"hideWorkflowRecipients\": false\n    }\n  ],\n  \"notifiedEvents\": [\n    \"recipientRefused\",\n    \"recipientFinished\",\n    \"workflowStopped\",\n    \"workflowFinished\"\n  ],\n  \"notifiedEventsReadonly\": false,\n  \"coManagerNotifiedEvents\": [\n    \"recipientRefused\",\n    \"recipientFinished\",\n    \"workflowStopped\",\n    \"workflowFinished\"\n  ],\n  \"coManagerNotifiedEventsReadonly\": false,\n  \"watchers\": [\n    {\n      \"notifiedEvents\": [\n        \"recipientRefused\",\n        \"recipientFinished\",\n        \"workflowStarted\",\n        \"workflowStopped\",\n        \"workflowFinished\",\n        \"workflowFinishedDownloadLink\",\n        \"workflowFinishedDownloadLinkNoAttachment\"\n      ],\n      \"readonly\": false,\n      \"removable\": true,\n      \"userId\": \"usr_srHrGH8xiXQPehNzs34WDmNB\"\n    },\n    {\n      \"notifiedEvents\": [\n        \"recipientRefused\",\n        \"recipientFinished\",\n        \"workflowStarted\",\n        \"workflowStopped\",\n        \"workflowFinished\",\n        \"workflowFinishedDownloadLink\",\n        \"workflowFinishedDownloadLinkNoAttachment\"\n      ],\n      \"readonly\": false,\n      \"removable\": true,\n      \"email\": \"ivory.baumbach5613@my-company.com\"\n    }\n  ],\n  \"allowedSignatureProfiles\": [\n    \"sip_8yKHsKPWgSZ4VFx2iHBkmnun\"\n  ],\n  \"documentSelectionMode\": \"any\",\n  \"maxDocuments\": 10,\n  \"maxAttachments\": 20,\n  \"coManagerSelectionMode\": \"none\",\n  \"allowedCoManagerUsers\": [],\n  \"coManagerUsersModifiable\": true,\n  \"coManagerCanEditCoManager\": false,\n  \"allowedCoManagerGroups\": [],\n  \"allowConsolidation\": true,\n  \"allowManagerAddStep\": true\n}"

response = http.request(request)
puts response.read_body
```

```java Requête réussie.
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://workflow-manager/api/tenants/tenantId/templates")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"isDisabled\": false,\n  \"name\": \"Intelligent Plastic Lamp\",\n  \"description\": \"752 Avenue Zadkine, 41463 Beauvais\",\n  \"layoutSelectionMode\": \"list\",\n  \"allowedLayouts\": [\n    \"lay_AYNmME5o24fa9YevH6aR2oMF\"\n  ],\n  \"maxWatchers\": 10,\n  \"steps\": [\n    {\n      \"stepType\": \"signature\",\n      \"recipientSelectionMode\": \"list\",\n      \"maxRecipients\": 10,\n      \"recipients\": [\n        {\n          \"consentPageId\": \"cop_AfGTsGSh1mmatSUL5AWFo2Do\",\n          \"email\": \"keeley.brown2482@my-company.com\",\n          \"userId\": \"usr_KG8yTeqRa1kskaSp7Y7GRPAB\",\n          \"phoneNumber\": \"+33 6 12 34 56 78\",\n          \"comments\": \"Aliquam et numquam voluptatem enim est illo.\",\n          \"firstName\": \"Kent\",\n          \"lastName\": \"Barton\",\n          \"country\": \"FR\",\n          \"organizationId\": \"org_i3niMbz4WCYkMgYe9y7KnHgv\",\n          \"preferredLocale\": \"fr\"\n        }\n      ],\n      \"allowedGroups\": [],\n      \"allowedConsentPages\": [\n        \"cop_5WPAvvRMYhCix5KyYqbXYYck\"\n      ],\n      \"requiredRecipients\": 1,\n      \"maxInvites\": 5,\n      \"sendDownloadLink\": true,\n      \"validityPeriod\": 8553600000,\n      \"invitePeriod\": 86400000,\n      \"readonly\": false,\n      \"removable\": true,\n      \"allowComments\": true,\n      \"hideAttachments\": false,\n      \"viewConfidentialAttachments\": true,\n      \"hideWorkflowRecipients\": false\n    }\n  ],\n  \"notifiedEvents\": [\n    \"recipientRefused\",\n    \"recipientFinished\",\n    \"workflowStopped\",\n    \"workflowFinished\"\n  ],\n  \"notifiedEventsReadonly\": false,\n  \"coManagerNotifiedEvents\": [\n    \"recipientRefused\",\n    \"recipientFinished\",\n    \"workflowStopped\",\n    \"workflowFinished\"\n  ],\n  \"coManagerNotifiedEventsReadonly\": false,\n  \"watchers\": [\n    {\n      \"notifiedEvents\": [\n        \"recipientRefused\",\n        \"recipientFinished\",\n        \"workflowStarted\",\n        \"workflowStopped\",\n        \"workflowFinished\",\n        \"workflowFinishedDownloadLink\",\n        \"workflowFinishedDownloadLinkNoAttachment\"\n      ],\n      \"readonly\": false,\n      \"removable\": true,\n      \"userId\": \"usr_srHrGH8xiXQPehNzs34WDmNB\"\n    },\n    {\n      \"notifiedEvents\": [\n        \"recipientRefused\",\n        \"recipientFinished\",\n        \"workflowStarted\",\n        \"workflowStopped\",\n        \"workflowFinished\",\n        \"workflowFinishedDownloadLink\",\n        \"workflowFinishedDownloadLinkNoAttachment\"\n      ],\n      \"readonly\": false,\n      \"removable\": true,\n      \"email\": \"ivory.baumbach5613@my-company.com\"\n    }\n  ],\n  \"allowedSignatureProfiles\": [\n    \"sip_8yKHsKPWgSZ4VFx2iHBkmnun\"\n  ],\n  \"documentSelectionMode\": \"any\",\n  \"maxDocuments\": 10,\n  \"maxAttachments\": 20,\n  \"coManagerSelectionMode\": \"none\",\n  \"allowedCoManagerUsers\": [],\n  \"coManagerUsersModifiable\": true,\n  \"coManagerCanEditCoManager\": false,\n  \"allowedCoManagerGroups\": [],\n  \"allowConsolidation\": true,\n  \"allowManagerAddStep\": true\n}")
  .asString();
```

```php Requête réussie.
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://workflow-manager/api/tenants/tenantId/templates', [
  'body' => '{
  "isDisabled": false,
  "name": "Intelligent Plastic Lamp",
  "description": "752 Avenue Zadkine, 41463 Beauvais",
  "layoutSelectionMode": "list",
  "allowedLayouts": [
    "lay_AYNmME5o24fa9YevH6aR2oMF"
  ],
  "maxWatchers": 10,
  "steps": [
    {
      "stepType": "signature",
      "recipientSelectionMode": "list",
      "maxRecipients": 10,
      "recipients": [
        {
          "consentPageId": "cop_AfGTsGSh1mmatSUL5AWFo2Do",
          "email": "keeley.brown2482@my-company.com",
          "userId": "usr_KG8yTeqRa1kskaSp7Y7GRPAB",
          "phoneNumber": "+33 6 12 34 56 78",
          "comments": "Aliquam et numquam voluptatem enim est illo.",
          "firstName": "Kent",
          "lastName": "Barton",
          "country": "FR",
          "organizationId": "org_i3niMbz4WCYkMgYe9y7KnHgv",
          "preferredLocale": "fr"
        }
      ],
      "allowedGroups": [],
      "allowedConsentPages": [
        "cop_5WPAvvRMYhCix5KyYqbXYYck"
      ],
      "requiredRecipients": 1,
      "maxInvites": 5,
      "sendDownloadLink": true,
      "validityPeriod": 8553600000,
      "invitePeriod": 86400000,
      "readonly": false,
      "removable": true,
      "allowComments": true,
      "hideAttachments": false,
      "viewConfidentialAttachments": true,
      "hideWorkflowRecipients": false
    }
  ],
  "notifiedEvents": [
    "recipientRefused",
    "recipientFinished",
    "workflowStopped",
    "workflowFinished"
  ],
  "notifiedEventsReadonly": false,
  "coManagerNotifiedEvents": [
    "recipientRefused",
    "recipientFinished",
    "workflowStopped",
    "workflowFinished"
  ],
  "coManagerNotifiedEventsReadonly": false,
  "watchers": [
    {
      "notifiedEvents": [
        "recipientRefused",
        "recipientFinished",
        "workflowStarted",
        "workflowStopped",
        "workflowFinished",
        "workflowFinishedDownloadLink",
        "workflowFinishedDownloadLinkNoAttachment"
      ],
      "readonly": false,
      "removable": true,
      "userId": "usr_srHrGH8xiXQPehNzs34WDmNB"
    },
    {
      "notifiedEvents": [
        "recipientRefused",
        "recipientFinished",
        "workflowStarted",
        "workflowStopped",
        "workflowFinished",
        "workflowFinishedDownloadLink",
        "workflowFinishedDownloadLinkNoAttachment"
      ],
      "readonly": false,
      "removable": true,
      "email": "ivory.baumbach5613@my-company.com"
    }
  ],
  "allowedSignatureProfiles": [
    "sip_8yKHsKPWgSZ4VFx2iHBkmnun"
  ],
  "documentSelectionMode": "any",
  "maxDocuments": 10,
  "maxAttachments": 20,
  "coManagerSelectionMode": "none",
  "allowedCoManagerUsers": [],
  "coManagerUsersModifiable": true,
  "coManagerCanEditCoManager": false,
  "allowedCoManagerGroups": [],
  "allowConsolidation": true,
  "allowManagerAddStep": true
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Requête réussie.
using RestSharp;

var client = new RestClient("https://workflow-manager/api/tenants/tenantId/templates");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"isDisabled\": false,\n  \"name\": \"Intelligent Plastic Lamp\",\n  \"description\": \"752 Avenue Zadkine, 41463 Beauvais\",\n  \"layoutSelectionMode\": \"list\",\n  \"allowedLayouts\": [\n    \"lay_AYNmME5o24fa9YevH6aR2oMF\"\n  ],\n  \"maxWatchers\": 10,\n  \"steps\": [\n    {\n      \"stepType\": \"signature\",\n      \"recipientSelectionMode\": \"list\",\n      \"maxRecipients\": 10,\n      \"recipients\": [\n        {\n          \"consentPageId\": \"cop_AfGTsGSh1mmatSUL5AWFo2Do\",\n          \"email\": \"keeley.brown2482@my-company.com\",\n          \"userId\": \"usr_KG8yTeqRa1kskaSp7Y7GRPAB\",\n          \"phoneNumber\": \"+33 6 12 34 56 78\",\n          \"comments\": \"Aliquam et numquam voluptatem enim est illo.\",\n          \"firstName\": \"Kent\",\n          \"lastName\": \"Barton\",\n          \"country\": \"FR\",\n          \"organizationId\": \"org_i3niMbz4WCYkMgYe9y7KnHgv\",\n          \"preferredLocale\": \"fr\"\n        }\n      ],\n      \"allowedGroups\": [],\n      \"allowedConsentPages\": [\n        \"cop_5WPAvvRMYhCix5KyYqbXYYck\"\n      ],\n      \"requiredRecipients\": 1,\n      \"maxInvites\": 5,\n      \"sendDownloadLink\": true,\n      \"validityPeriod\": 8553600000,\n      \"invitePeriod\": 86400000,\n      \"readonly\": false,\n      \"removable\": true,\n      \"allowComments\": true,\n      \"hideAttachments\": false,\n      \"viewConfidentialAttachments\": true,\n      \"hideWorkflowRecipients\": false\n    }\n  ],\n  \"notifiedEvents\": [\n    \"recipientRefused\",\n    \"recipientFinished\",\n    \"workflowStopped\",\n    \"workflowFinished\"\n  ],\n  \"notifiedEventsReadonly\": false,\n  \"coManagerNotifiedEvents\": [\n    \"recipientRefused\",\n    \"recipientFinished\",\n    \"workflowStopped\",\n    \"workflowFinished\"\n  ],\n  \"coManagerNotifiedEventsReadonly\": false,\n  \"watchers\": [\n    {\n      \"notifiedEvents\": [\n        \"recipientRefused\",\n        \"recipientFinished\",\n        \"workflowStarted\",\n        \"workflowStopped\",\n        \"workflowFinished\",\n        \"workflowFinishedDownloadLink\",\n        \"workflowFinishedDownloadLinkNoAttachment\"\n      ],\n      \"readonly\": false,\n      \"removable\": true,\n      \"userId\": \"usr_srHrGH8xiXQPehNzs34WDmNB\"\n    },\n    {\n      \"notifiedEvents\": [\n        \"recipientRefused\",\n        \"recipientFinished\",\n        \"workflowStarted\",\n        \"workflowStopped\",\n        \"workflowFinished\",\n        \"workflowFinishedDownloadLink\",\n        \"workflowFinishedDownloadLinkNoAttachment\"\n      ],\n      \"readonly\": false,\n      \"removable\": true,\n      \"email\": \"ivory.baumbach5613@my-company.com\"\n    }\n  ],\n  \"allowedSignatureProfiles\": [\n    \"sip_8yKHsKPWgSZ4VFx2iHBkmnun\"\n  ],\n  \"documentSelectionMode\": \"any\",\n  \"maxDocuments\": 10,\n  \"maxAttachments\": 20,\n  \"coManagerSelectionMode\": \"none\",\n  \"allowedCoManagerUsers\": [],\n  \"coManagerUsersModifiable\": true,\n  \"coManagerCanEditCoManager\": false,\n  \"allowedCoManagerGroups\": [],\n  \"allowConsolidation\": true,\n  \"allowManagerAddStep\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Requête réussie.
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "isDisabled": false,
  "name": "Intelligent Plastic Lamp",
  "description": "752 Avenue Zadkine, 41463 Beauvais",
  "layoutSelectionMode": "list",
  "allowedLayouts": ["lay_AYNmME5o24fa9YevH6aR2oMF"],
  "maxWatchers": 10,
  "steps": [
    [
      "stepType": "signature",
      "recipientSelectionMode": "list",
      "maxRecipients": 10,
      "recipients": [
        [
          "consentPageId": "cop_AfGTsGSh1mmatSUL5AWFo2Do",
          "email": "keeley.brown2482@my-company.com",
          "userId": "usr_KG8yTeqRa1kskaSp7Y7GRPAB",
          "phoneNumber": "+33 6 12 34 56 78",
          "comments": "Aliquam et numquam voluptatem enim est illo.",
          "firstName": "Kent",
          "lastName": "Barton",
          "country": "FR",
          "organizationId": "org_i3niMbz4WCYkMgYe9y7KnHgv",
          "preferredLocale": "fr"
        ]
      ],
      "allowedGroups": [],
      "allowedConsentPages": ["cop_5WPAvvRMYhCix5KyYqbXYYck"],
      "requiredRecipients": 1,
      "maxInvites": 5,
      "sendDownloadLink": true,
      "validityPeriod": 8553600000,
      "invitePeriod": 86400000,
      "readonly": false,
      "removable": true,
      "allowComments": true,
      "hideAttachments": false,
      "viewConfidentialAttachments": true,
      "hideWorkflowRecipients": false
    ]
  ],
  "notifiedEvents": ["recipientRefused", "recipientFinished", "workflowStopped", "workflowFinished"],
  "notifiedEventsReadonly": false,
  "coManagerNotifiedEvents": ["recipientRefused", "recipientFinished", "workflowStopped", "workflowFinished"],
  "coManagerNotifiedEventsReadonly": false,
  "watchers": [
    [
      "notifiedEvents": ["recipientRefused", "recipientFinished", "workflowStarted", "workflowStopped", "workflowFinished", "workflowFinishedDownloadLink", "workflowFinishedDownloadLinkNoAttachment"],
      "readonly": false,
      "removable": true,
      "userId": "usr_srHrGH8xiXQPehNzs34WDmNB"
    ],
    [
      "notifiedEvents": ["recipientRefused", "recipientFinished", "workflowStarted", "workflowStopped", "workflowFinished", "workflowFinishedDownloadLink", "workflowFinishedDownloadLinkNoAttachment"],
      "readonly": false,
      "removable": true,
      "email": "ivory.baumbach5613@my-company.com"
    ]
  ],
  "allowedSignatureProfiles": ["sip_8yKHsKPWgSZ4VFx2iHBkmnun"],
  "documentSelectionMode": "any",
  "maxDocuments": 10,
  "maxAttachments": 20,
  "coManagerSelectionMode": "none",
  "allowedCoManagerUsers": [],
  "coManagerUsersModifiable": true,
  "coManagerCanEditCoManager": false,
  "allowedCoManagerGroups": [],
  "allowConsolidation": true,
  "allowManagerAddStep": true
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://workflow-manager/api/tenants/tenantId/templates")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```